KDE 4.9 PyKDE API Reference

- KDE's Python API

# KSystemTimeZoneSource Class Reference

`from PyKDE4.kdecore import *`

Inherits: KTimeZoneSource

## Detailed Description

A class to read and parse system time zone data.

Access is performed via the system time zone library functions.

Reads and parses system time zone data

See also:
  KSystemTimeZones, KSystemTimeZone, KSystemTimeZoneData

Author:
  David Jarvie <djarvie@kde.org>.

## Methods

| __init__ (self)
KTimeZoneData | parse (self, KTimeZone zone)

## Static Methods

| endParseBlock ()
| startParseBlock ()

## Method Documentation

__init__ | ( |  | self ) |

Constructs a system time zone source.

KTimeZoneData parse | ( | self, |
|  | KTimeZone | zone
| ) |  |  |

Extract detailed information for one time zone, via the system time zone library functions.

Parameters:

  | zone | the time zone for which data is to be extracted

Returns:
  a KSystemTimeZoneData instance containing the parsed data. The caller is responsible for deleting the KTimeZoneData instance. Null is returned on error.

## Static Method Documentation

endParseBlock | ( |  | ) |

See also:
  startParseBlock()

startParseBlock | ( |  | ) |

Use in conjunction with endParseBlock() to improve efficiency when calling parse() for a group of KSystemTimeZone instances in succession. Call startParseBlock() before the first parse(), and call endParseBlock() after the last.

The effect of calling these methods is to save and restore the TZ environment variable only once before and after the group of parse() calls, rather than before and after every call. So, between calls to startParseBlock() and endParseBlock(), do not call any functions which rely directly or indirectly on the local time zone setting.